VectorLinux
September 23, 2014, 08:11:50 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: Awesfx installation from Slackware repositories SOLVED  (Read 1538 times)
mick12345678
Vectorite
***
Posts: 140


« on: September 26, 2008, 03:46:22 pm »

I want to install Awesfx (a utility for Soundblaster sound cards) on VL 5.9 Gold.

I have checked with gslapt and I can't see it in any of the VL repositories.

When I Google "awesfx slackware 12" I get loads of links.

So 2 questions :

1) which link do I take ?
2) how can I check for dependencies ?

« Last Edit: September 27, 2008, 09:35:21 am by mick12345678 » Logged
lagagnon
Global Moderator
Vectorian
*****
Posts: 1922



WWW
« Reply #1 on: September 26, 2008, 03:54:10 pm »

If it is not in our repository (and something very specialist such as that probably would not be) then the best/easiest place to get a Slackware package is www.linuxpackages.net . I checked - they have awesfx there. Most of those packages work fine under VL. Just download then go into a terminal as root and type "installpkg nameofpackage" and it will be installed in a matter of seconds. You might need to create an icon for it depending on whether or not the packager included a vaild .desktop file or not.

If you launch the program and you get dependancy errors just get the dependant package from the same place (or here or the Slackware site) and install it.
Logged

"As people become more intelligent they care less for preachers and more for teachers". Robert G. Ingersoll
caitlyn
Packager
Vectorian
****
Posts: 2876


WWW
« Reply #2 on: September 26, 2008, 04:54:12 pm »

I actually find the quality of packages on linuxpackages.net to be variable at best.  I personally find http://www.slacky.eu to be much better.  I don't know if they have the package you want.  You can enable slacky.eu in gslapt.  That site does have dependency checking and linuxpackages.net does not.  For VL 5.9 you want the Slackware 12.0 repository, not 12.1.  Just be sure to disable slacky.eu in gslapt when you're done because you don't want to "upgrade" with non-VL packages.  The results can be disastrous.

The other option, and honestly the better one if you're willing to do a little more work, is to download the source code and use vpackager.  vpackger is a GUI tool that turns source tarballs into Vetcor Linux packages.  It does take a moderate amount of knowledge if everything doesn't go 100% smoothly.  If the build process is really standard then it might just be very easy to produce a VL package with proper dependency checking.
« Last Edit: September 26, 2008, 04:58:54 pm by caitlyn » Logged

eMachines EL-1300G desktop, 1.6GHz AMD Athlon 2650e CPU, 4GB RAM, nVidia GeForce 6150 SE video
CentOS 6.5 (will try VL64-7.1 soon)

Toshiba Satellite A135-S4727,  Intel Pentium T2080 / 1.73 GHz, 2GB RAM, Intel GMA 950

HP Mini 110 netbook, 1.6GHz Intel Atom CPU, 2GB RAM, Intel 950 video, VL 7.1
mick12345678
Vectorite
***
Posts: 140


« Reply #3 on: September 27, 2008, 09:35:01 am »

Thanks for the replies.

I found it in the italian site's 12.0 repository and downloaded it directly from the web page.

Seems to work  Grin.
Logged
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!